Bug 52417 - HEADERS information in the file
Summary: HEADERS information in the file
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: All (show other bugs)
Version: 2.2.15
Hardware: PC All
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2012-01-03 17:51 UTC by Carlos B.
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments
Httpd Config File (34.32 KB, application/octet-stream)
2012-01-03 17:51 UTC, Carlos B.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos B. 2012-01-03 17:51:49 UTC
Created attachment 28117 [details]
Httpd Config File

Greetings.

 I have recently installed the last distribution of Centos 6 by default with apache httpd-2.2.15-15.el6.centos.i686, but when i see the code of a javascript file,the apache output the headers of the file inside the code,

This is what i see when i browse http://localhost/js/jquery-1.4.4.min.js

T§ñ&D‡üî-BE„Ê´@@À¨À¨P¼åŠ¹~ÌNÿ€nƒZ
|sΕ‡âHTTP/1.1 200 OK
Date: Tue, 03 Jan 2012 17:37:47 GMT
Server: Apache
Last-Modified: Mon, 15 Nov 2010 11:59:26 GMT
ETag: "781118-13309-495162bf2e380"
Accept-Ranges: bytes
Content-Length: 78601
Connection: close
Content-Type: text/javascript

/*!
 * jQuery JavaScript Library v1.4.4
 * http://jquery.com/
 *
 * Copyright 2010, John Resig
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * Includes Sizzle.js
 * http://sizzlejs.com/
 * Copyright 2010, The Dojo Foundation
 * Released under the MIT, BSD, and GPL Licenses.
 *
 * Date: Thu Nov 11 19:04:53 2010 -0500
 */
(function(E,B){function ka(a,b,d){if(d===B&&a.

Inside the javascript code, the apache print the headers banners of the file, 

this is a bug? or what can i do to remove the headers.

Chears!
Comment 1 William A. Rowe Jr. 2018-11-07 21:09:33 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.